<?php
class ControllerextensionModulekefu extends Controller {
	private $error = array();

	public function index() {
		$this->load->language('extension/module/kefu');

		$this->document->setTitle(preg_replace('/<(.*?)strong>/i', '', $this->language->get('heading_title')));

		$this->load->model('extension/module');

		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {
			if (!isset($this->request->get['module_id'])) {
				$this->model_extension_module->addModule('kefu', $this->request->post);
			} else {
				$this->model_extension_module->editModule($this->request->get['module_id'], $this->request->post);
			}

			$this->session->data['success'] = $this->language->get('text_success');

			$this->response->redirect($this->url->link('extension/extension', 'token=' . $this->session->data['token'] . '&type=module', true));
		}

		$data['heading_title'] = preg_replace('/<(.*?)strong>/i', '', $this->language->get('heading_title'));

		$data['text_edit'] = $this->language->get('text_edit');
		$data['text_enabled'] = $this->language->get('text_enabled');
		$data['text_disabled'] = $this->language->get('text_disabled');
		$data['text_cwkj_wxts'] = $this->language->get('text_cwkj_wxts');

		$data['entry_name'] = $this->language->get('entry_name');
		$data['entry_image'] = $this->language->get('entry_image');
		$data['entry_width'] = $this->language->get('entry_width');
		$data['entry_height'] = $this->language->get('entry_height');
		$data['entry_title'] = $this->language->get('entry_title');
		$data['entry_sqqq'] = $this->language->get('entry_sqqq');
		$data['entry_shqq'] = $this->language->get('entry_shqq');
		$data['entry_shqq1'] = $this->language->get('entry_shqq1');
		$data['entry_shqq2'] = $this->language->get('entry_shqq2');
		$data['entry_sqalww'] = $this->language->get('entry_sqalww');
		$data['entry_alww'] = $this->language->get('entry_alww');
		$data['entry_telephone'] = $this->language->get('entry_telephone');
		$data['entry_telephone2'] = $this->language->get('entry_telephone2');
		$data['entry_time'] = $this->language->get('entry_time');
		$data['entry_status'] = $this->language->get('entry_status');
		$data['entry_iconstyle'] = $this->language->get('entry_iconstyle');
		$data['entry_miconbj'] = $this->language->get('entry_miconbj');
		$data['entry_miconcolor'] = $this->language->get('entry_miconcolor');
		$data['entry_miconcolorc'] = $this->language->get('entry_miconcolorc');
		$data['entry_hoverbj'] = $this->language->get('entry_hoverbj');
		$data['entry_hovertit'] = $this->language->get('entry_hovertit');
		$data['entry_miconround'] = $this->language->get('entry_miconround');
		$data['entry_miconsize'] = $this->language->get('entry_miconsize');
		$data['entry_miconborder'] = $this->language->get('entry_miconborder');
		$data['entry_miconbc'] = $this->language->get('entry_miconbc');
		$data['entry_miconwidth'] = $this->language->get('entry_miconwidth');
        $data['entry_miconheight'] = $this->language->get('entry_miconheight');
		
		$data['button_save'] = $this->language->get('button_save');
		$data['button_cancel'] = $this->language->get('button_cancel');

		if (isset($this->error['warning'])) {
			$data['error_warning'] = $this->error['warning'];
		} else {
			$data['error_warning'] = '';
		}

		if (isset($this->error['name'])) {
			$data['error_name'] = $this->error['name'];
		} else {
			$data['error_name'] = '';
		}

		if (isset($this->error['image'])) {
			$data['error_image'] = $this->error['image'];
		} else {
			$data['error_image'] = '';
		}

		if (isset($this->error['width'])) {
			$data['error_width'] = $this->error['width'];
		} else {
			$data['error_width'] = '';
		}

		if (isset($this->error['height'])) {
			$data['error_height'] = $this->error['height'];
		} else {
			$data['error_height'] = '';
		}

		if (isset($this->error['title'])) {
			$data['error_title'] = $this->error['title'];
		} else {
			$data['error_title'] = '';
		}

		$data['breadcrumbs'] = array();

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_home'),
			'href' => $this->url->link('common/dashboard', 'token=' . $this->session->data['token'], 'SSL')
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_module'),
			'href' => $this->url->link('extension/extension', 'token=' . $this->session->data['token'], 'SSL')
		);

		if (!isset($this->request->get['module_id'])) {
			$data['breadcrumbs'][] = array(
				'text' => preg_replace('/<(.*?)strong>/i', '', $this->language->get('heading_title')),
				'href' => $this->url->link('extension/module/kefu', 'token=' . $this->session->data['token'], 'SSL')
			);
		} else {
			$data['breadcrumbs'][] = array(
				'text' => preg_replace('/<(.*?)strong>/i', '', $this->language->get('heading_title')),
				'href' => $this->url->link('extension/module/kefu', 'token=' . $this->session->data['token'] . '&module_id=' . $this->request->get['module_id'], 'SSL')
			);
		}

		if (!isset($this->request->get['module_id'])) {
			$data['action'] = $this->url->link('extension/module/kefu', 'token=' . $this->session->data['token'], 'SSL');
		} else {
			$data['action'] = $this->url->link('extension/module/kefu', 'token=' . $this->session->data['token'] . '&module_id=' . $this->request->get['module_id'], 'SSL');
		}

		$data['cancel'] = $this->url->link('extension/extension', 'token=' . $this->session->data['token'] . '&type=module', true);

		if (isset($this->request->get['module_id']) && ($this->request->server['REQUEST_METHOD'] != 'POST')) {
			$module_info = $this->model_extension_module->getModule($this->request->get['module_id']);
		}

		if (isset($this->request->post['name'])) {
			$data['name'] = $this->request->post['name'];
		} elseif (!empty($module_info)) {
			$data['name'] = $module_info['name'];
		} else {
			$data['name'] = '在线客服';
		}

		$this->load->model('tool/image');

		if (isset($this->request->post['image'])) {
			$data['image'] = $this->request->post['image'];
		} elseif (isset($module_info['image'])) {
			$data['image'] = $module_info['image'];
		} else {
			$data['image'] = '';
		}

		if (is_file(DIR_IMAGE . $data['image'])) {
			$thumb = $data['image'];
		} else {
			$thumb = 'no_image.png';
		}

		$data['thumb'] = $this->model_tool_image->resize($thumb, 100, 100);

		if (isset($this->request->post['width'])) {
			$data['width'] = $this->request->post['width'];
		} elseif (!empty($module_info)) {
			$data['width'] = $module_info['width'];
		} else {
			$data['width'] = '320';
		}

		if (isset($this->request->post['height'])) {
			$data['height'] = $this->request->post['height'];
		} elseif (!empty($module_info)) {
			$data['height'] = $module_info['height'];
		} else {
			$data['height'] = '320';
		}

		if (isset($this->request->post['title'])) {
			$data['title'] = $this->request->post['title'];
		} elseif (!empty($module_info)) {
			$data['title'] = $module_info['title'];
		} else {
			$data['title'] = '关注触网密探公众号，精彩更多';
		}

		if (isset($this->request->post['sqqq'])) {
			$data['sqqq'] = $this->request->post['sqqq'];
		} elseif (!empty($module_info)) {
			$data['sqqq'] = $module_info['sqqq'];
		} else {
			$data['sqqq'] = '';
		}

		if (isset($this->request->post['shqq1'])) {
			$data['shqq1'] = $this->request->post['shqq1'];
		} elseif (!empty($module_info)) {
			$data['shqq1'] = $module_info['shqq1'];
		} else {
			$data['shqq1'] = '';
		}
		
		if (isset($this->request->post['shqq2'])) {
			$data['shqq2'] = $this->request->post['shqq2'];
		} elseif (!empty($module_info)) {
			$data['shqq2'] = $module_info['shqq2'];
		} else {
			$data['shqq2'] = '';
		}
		
		if (isset($this->request->post['sqalww'])) {
			$data['sqalww'] = $this->request->post['sqalww'];
		} elseif (!empty($module_info)) {
			$data['sqalww'] = $module_info['sqalww'];
		} else {
			$data['sqalww'] = '';
		}				
		if (isset($this->request->post['alww'])) {
			$data['alww'] = $this->request->post['alww'];
		} elseif (!empty($module_info)) {
			$data['alww'] = $module_info['alww'];
		} else {
			$data['alww'] = '';
		}

		if (isset($this->request->post['telephone'])) {
			$data['telephone'] = $this->request->post['telephone'];
		} elseif (!empty($module_info)) {
			$data['telephone'] = $module_info['telephone'];
		} else {
			$data['telephone'] = '';
		}

		if (isset($this->request->post['telephone2'])) {
			$data['telephone2'] = $this->request->post['telephone2'];
		} elseif (!empty($module_info)) {
			$data['telephone2'] = $module_info['telephone2'];
		} else {
			$data['telephone2'] = '';
		}

		if (isset($this->request->post['shqq'])) {
			$data['shqq'] = $this->request->post['shqq'];
		} elseif (!empty($module_info)) {
			$data['shqq'] = $module_info['shqq'];
		} else {
			$data['shqq'] = '';
		}
		if (isset($this->request->post['time'])) {
			$data['time'] = $this->request->post['time'];
		} elseif (!empty($module_info)) {
			$data['time'] = $module_info['time'];
		} else {
			$data['time'] = '';
		}
		if (isset($this->request->post['status'])) {
			$data['status'] = $this->request->post['status'];
		} elseif (!empty($module_info)) {
			$data['status'] = $module_info['status'];
		} else {
			$data['status'] = '';
		}
		if (isset($this->request->post['miconbj'])) {
			$data['miconbj'] = $this->request->post['miconbj'];
		} elseif (!empty($module_info)) {
			$data['miconbj'] = $module_info['miconbj'];
		} else {
			$data['miconbj'] = '#FF4400';
		}
		if (isset($this->request->post['miconcolorc'])) {
			$data['miconcolorc'] = $this->request->post['miconcolorc'];
		} elseif (!empty($module_info)) {
			$data['miconcolorc'] = $module_info['miconcolorc'];
		} else {
			$data['miconcolorc'] = '#FFB303';
		}		
		if (isset($this->request->post['miconcolor'])) {
			$data['miconcolor'] = $this->request->post['miconcolor'];
		} elseif (!empty($module_info)) {
			$data['miconcolor'] = $module_info['miconcolor'];
		} else {
			$data['miconcolor'] = '#ffffff';
		}
		if (isset($this->request->post['hoverbj'])) {
			$data['hoverbj'] = $this->request->post['hoverbj'];
		} elseif (!empty($module_info)) {
			$data['hoverbj'] = $module_info['hoverbj'];
		} else {
			$data['hoverbj'] = 'black';
		}
		if (isset($this->request->post['hovertit'])) {
			$data['hovertit'] = $this->request->post['hovertit'];
		} elseif (!empty($module_info)) {
			$data['hovertit'] = $module_info['hovertit'];
		} else {
			$data['hovertit'] = 'white';
		}
		if (isset($this->request->post['miconround'])) {
			$data['miconround'] = $this->request->post['miconround'];
		} elseif (!empty($module_info)) {
			$data['miconround'] = $module_info['miconround'];
		} else {
			$data['miconround'] = '5';
		}
		if (isset($this->request->post['miconsize'])) {
			$data['miconsize'] = $this->request->post['miconsize'];
		} elseif (!empty($module_info)) {
			$data['miconsize'] = $module_info['miconsize'];
		} else {
			$data['miconsize'] = '18';
		}	
		if (isset($this->request->post['miconborder'])) {
			$data['miconborder'] = $this->request->post['miconborder'];
		} elseif (!empty($module_info)) {
			$data['miconborder'] = $module_info['miconborder'];
		} else {
			$data['miconborder'] = '0';
		}
		if (isset($this->request->post['miconbc'])) {
			$data['miconbc'] = $this->request->post['miconbc'];
		} elseif (!empty($module_info)) {
			$data['miconbc'] = $module_info['miconbc'];
		} else {
			$data['miconbc'] = '';
		}
		if (isset($this->request->post['miconwidth'])) {
			$data['miconwidth'] = $this->request->post['miconwidth'];
		} elseif (!empty($module_info)) {
			$data['miconwidth'] = $module_info['miconwidth'];
		} else {
			$data['miconwidth'] = '40';
		}
		if (isset($this->request->post['miconheight'])) {
			$data['miconheight'] = $this->request->post['miconheight'];
		} elseif (!empty($module_info)) {
			$data['miconheight'] = $module_info['miconheight'];
		} else {
			$data['miconheight'] = '40';
		}
		$data['placeholder'] = $this->model_tool_image->resize('no_image.png', 100, 100);

		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('extension/module/kefu.tpl', $data));
	}

	protected function validate() {
		if (!$this->user->hasPermission('modify', 'extension/module/kefu')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}

		if ((utf8_strlen($this->request->post['name']) < 3) || (utf8_strlen($this->request->post['name']) > 64)) {
			$this->error['name'] = $this->language->get('error_name');
		}

		if (!$this->request->post['image']) {
			$this->error['image'] = $this->language->get('error_image');
		}

		if (!$this->request->post['width']) {
			$this->error['width'] = $this->language->get('error_width');
		}

		if (!$this->request->post['height']) {
			$this->error['height'] = $this->language->get('error_height');
		}

		if (!$this->request->post['title']) {
			$this->error['title'] = $this->language->get('error_title');
		}

		return !$this->error;
	}
}
